# Class AdminService

- Defined in src/services.gen.ts:706

#####
Index

### Constructors

constructor

### Methods

deleteUser
getUser
updateUser

##
Constructors

### constructor

- new AdminService(): AdminService

- #### Returns AdminService

##
Methods

### `Static` deleteUser

- deleteUser(data): CancelablePromise<string>

- delete user (require admin privilege)

  #### Parameters

  - data: DeleteUserData

    The data for the request.

  #### Returns CancelablePromise<string>

  string delete user

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:756

### `Static` getUser

- getUser(data): CancelablePromise<User>

- get user (require admin privilege)

  #### Parameters

  - data: GetUserData

    The data for the request.

  #### Returns CancelablePromise<User>

  User user created

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:715

### `Static` updateUser

- updateUser(data): CancelablePromise<string>

- update user (require admin privilege)

  #### Parameters

  - data: UpdateUserData

    The data for the request.

  #### Returns CancelablePromise<string>

  string edited user

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:735